> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shodai.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Public health endpoint for the API gateway.



## OpenAPI

````yaml /openapi.json get /v0/health
openapi: 3.1.0
info:
  title: Agreements API
  version: v0
  description: Author, deploy, read, and advance agreements through the Agreements API.
servers:
  - url: https://test-api.shodai.network
    description: Public base URL for the Agreements API testnet environment.
  - url: https://api.shodai.network
    description: Public base URL for the Agreements API production environment.
security: []
tags:
  - name: Agreement Records
    description: List and read agreement records.
  - name: Agreement Documents
    description: Resolve hosted agreement prose documents.
  - name: Authoring
    description: Check authored agreement JSON before deployment.
  - name: Deployment
    description: Preflight and deploy agreements.
  - name: Using Agreements
    description: Read state, inspect input history, and submit signed inputs.
  - name: System
    description: Health and OpenAPI discovery endpoints.
paths:
  /v0/health:
    get:
      tags:
        - System
      summary: Health check
      description: Public health endpoint for the API gateway.
      operationId: getExternalApiHealth
      responses:
        '200':
          description: Gateway health payload.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
              examples:
                ok:
                  summary: Gateway is healthy
                  value:
                    status: ok
                    service: external-api
                    timestamp: '2026-04-27T16:00:00.000Z'
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: |-
            import { ApiClient } from '@cns-labs/agreements-api-client';

            const client = new ApiClient({ baseUrl: process.env.BASE_URL! });
            const health = await client.getHealth();
components:
  schemas:
    HealthResponse:
      type: object
      required:
        - status
        - service
        - timestamp
      properties:
        status:
          type: string
          example: ok
        service:
          type: string
          example: external-api
        timestamp:
          type: string
          format: date-time

````